export const contentTypes: any = {
  content_types: [
    {
      title: "demo",
      options: {
        is_page: false,
        singleton: true,
        sub_title: [],
        title: "title",
      },
      schema: [
        {
          data_type: "text",
          display_name: "Title",
          field_metadata: {
            _default: true,
            version: 3,
          },
          mandatory: true,
          uid: "title",
          unique: true,
          multiple: false,
          non_localizable: false,
        },
        {
          data_type: "global_field",
          display_name: "Global",
          reference_to: "seo",
          field_metadata: {
            description: "",
          },
          uid: "global_field",
          mandatory: false,
          multiple: false,
          non_localizable: false,
          unique: false,
        },
      ],
      uid: "demo",

      _version: 3,
    },
    {
      title: "Dishes",
      uid: "dishes",
      schema: [
        {
          data_type: "text",
          display_name: "Title",
          field_metadata: {
            _default: true,
            version: 3,
          },
          mandatory: true,
          uid: "title",
          unique: true,
          multiple: false,
          non_localizable: false,
        },
        {
          data_type: "file",
          display_name: "Image",
          uid: "image",
          field_metadata: {
            description: "This image is about the Dish",
            rich_text_type: "standard",
            image: true,
          },
          mandatory: false,
          multiple: false,
          non_localizable: false,
          unique: false,
          dimension: {
            width: {
              min: null,
              max: null,
            },
            height: {
              min: null,
              max: null,
            },
          },
        },
      ],
      last_activity: {},
      maintain_revisions: true,
      description:
        "This Content Model consists of the Dishes Present in our Restaurant menu Website",
      _version: 1,
    },
  ],
};

export const globalFields: any = {
  global_fields: [
    {
      title: "seo",
      uid: "seo",
      _version: 1,
      schema: [
        {
          data_type: "text",
          display_name: "title",
          uid: "title",
          field_metadata: {
            description: "",
            default_value: "",
            version: 3,
          },
          format: "",
          error_messages: {
            format: "",
          },
          mandatory: false,
          multiple: false,
          non_localizable: false,
          unique: false,
        },
        {
          data_type: "text",
          display_name: "metadata",
          uid: "metadata",
          field_metadata: {
            description: "",
            default_value: "",
            version: 3,
          },
          format: "",
          error_messages: {
            format: "",
          },
          mandatory: false,
          multiple: false,
          non_localizable: false,
          unique: false,
        },
      ],
      last_activity: {},
      maintain_revisions: true,
      description: "",
    },
  ],
};

export const graphql: any = {
  data: {
    __schema: {
      queryType: { name: "Query" },
      types: [
        {
          kind: "OBJECT",
          name: "Query",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },

        {
          kind: "SCALAR",
          name: "String",
          description:
            "The `String` scalar type represents textual data, represented as UTF-8 character sequences. The String type is most often used by GraphQL to represent free-form human-readable text.",
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "SysAssetTransformUrl",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "SysAssetImageFormats",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "SysAssetDisableValues",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "SysAssetFitValues",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "SCALAR",
          name: "Int",
          description:
            "The `Int` scalar type represents non-fractional signed whole numeric values. Int can represent values between -(2^31) and 2^31 - 1.",
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "SysAssetOrientValues",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "SysAssetOverlayAlignValues",
          description:
            "The overlay_align parameter allows you to put one image on top of another",
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "SysAssetOverlayRepeatValues",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "SysAssetAutoValues",
          description:
            "WEBP images are usually lower in size and have good quality.",
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "SysAssetDispositionValues",
          description:
            "This parameter allows an image to be downloaded or rendered on page",
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "SysAssetDimension",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "SCALAR",
          name: "JSON",
          description:
            "The `JSON` scalar type represents JSON values as specified by [ECMA-404](http://www.ecma-international.org/publications/files/ECMA-ST/ECMA-404.pdf).",
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "SysAssetSystemField",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "SCALAR",
          name: "DateTime",
          description:
            "This field accepts both ISODateString and ISODateTimeStringexample: 1992-08-14 or 1992-08-14T03:42:00.000Z",
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "SystemPublishDetails",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "SysExtensionConnection",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "SysExtensionEdge",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "SysMetadata",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "SCALAR",
          name: "Boolean",
          description:
            "The `Boolean` scalar type represents `true` or `false`.",
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "AllSysAsset",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "SysAssetWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "SysAssetDimensionWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "SysAssetOrderBy",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "Demo",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "Seo",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "EntrySystemField",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "AllDemo",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "DemoWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "SeoWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "SystemPublishDetailsWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "DemoOrderBy",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "Page",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "UNION",
          name: "PageSections",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: null,
          possibleTypes: [
            { kind: "OBJECT", name: "PageSectionsHomeBanner", ofType: null },
            { kind: "OBJECT", name: "PageSectionsMenu", ofType: null },
            { kind: "OBJECT", name: "PageSectionsAbout", ofType: null },
            { kind: "OBJECT", name: "PageSectionsContact", ofType: null },
          ],
        },
        {
          kind: "OBJECT",
          name: "PageSectionsHomeBanner",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "PageSectionsHomeBannerBlock",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "SysAssetConnection",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "SysAssetEdge",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "PageSectionsMenu",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "PageSectionsMenuBlock",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "PageSectionsMenuBlockCourse",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "PageSectionsMenuBlockCourseDishesConnection",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "PageSectionsMenuBlockCourseDishesEdge",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "UNION",
          name: "PageSectionsMenuBlockCourseDishesNode",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: null,
          possibleTypes: [{ kind: "OBJECT", name: "Dishes", ofType: null }],
        },
        {
          kind: "OBJECT",
          name: "Dishes",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "PageSectionsAbout",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "PageSectionsAboutBlock",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "PageSectionsContact",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "PageSectionsContactBlock",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "AllPage",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "PageWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "PageSectionsWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "PageSectionsHomeBannerBlockWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "PageSectionsMenuBlockWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "PageSectionsMenuBlockCourseWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "PageSectionsMenuBlockCourseDishesWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "DishesWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "EvalReferenceEnum",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "PageSectionsAboutBlockWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "PageSectionsContactBlockWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "PageOrderBy",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "Header",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "HeaderNavigationLinks",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "Link",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "AllHeader",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "HeaderWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "HeaderNavigationLinksWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "LinkWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "HeaderOrderBy",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "Footer",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "AllFooter",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "INPUT_OBJECT",
          name: "FooterWhere",
          description: null,
          fields: null,
          inputFields: [],
          interfaces: null,
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "FooterOrderBy",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
        {
          kind: "OBJECT",
          name: "AllDishes",
          description: null,
          fields: [],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
        {
          kind: "ENUM",
          name: "DishesOrderBy",
          description: null,
          fields: null,
          inputFields: null,
          interfaces: null,
          enumValues: [],
          possibleTypes: null,
        },
      ],
    },
  },
};

export const invalid_graphql: any = {
  data: {
    __schema: {
      queryType: { name: "Query" },
      mutationType: null,
      subscriptionType: null,
      types: [
        {
          kind: "OBJECT",
          name: "SysAsset",
          description: null,
          fields: [
            {
              name: "title",
              description: null,
              args: [],
              type: [],
              isDeprecated: false,
              deprecationReason: null,
            },
            {
              name: "url",
              description: null,
              args: [],
              type: [],
              isDeprecated: false,
              deprecationReason: null,
            },
            {
              name: "content_type",
              description: null,
              args: [],
              type: [],
              isDeprecated: false,
              deprecationReason: null,
            },
          ],
          inputFields: null,
          interfaces: [],
          enumValues: null,
          possibleTypes: null,
        },
      ],
      directives: [
        {
          name: "include",
          description:
            "Directs the executor to include this field or fragment only when the `if` argument is true.",
          locations: ["FIELD", "FRAGMENT_SPREAD", "INLINE_FRAGMENT"],
          args: [[]],
        },
      ],
    },
  },
};
